diff -Nurp '--exclude=.bzr*' tin-2.6.4/include/autoconf.hin tin-2.6.5/include/autoconf.hin
--- tin-2.6.4/include/autoconf.hin	2024-12-05 16:19:21.000000000 +0100
+++ tin-2.6.5/include/autoconf.hin	2025-11-15 19:30:31.367036788 +0100
@@ -3,10 +3,10 @@
  *  Module    : autoconf.hin
  *  Author    : Thomas Dickey
  *  Created   : 1995-08-24
- *  Updated   : 2024-11-25
+ *  Updated   : 2025-11-08
  *  Notes     : #include files, #defines & struct's
  *
- * Copyright (c) 1995-2025 Thomas Dickey <dickey@invisible-island.net>
+ * Copyright (c) 1995-2026 Thomas Dickey <dickey@invisible-island.net>
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
@@ -153,6 +153,13 @@
 
 #	undef HAVE_INT64_C
 
+#	undef HAVE_SIG_ATOMIC_T
+#	ifndef HAVE_SIG_ATOMIC_T
+		typedef int sig_atomic_t;
+#	endif /* !HAVE_SIG_ATOMIC_T */
+
+#	undef volatile
+
 /*
  * The following xxx_H definitions are set by the 'configure' script to
  * defined or commented-out, according to whether the corresponding header
@@ -181,6 +188,7 @@
 #	undef HAVE_NCURSES_TERM_H
 #	undef HAVE_NETDB_H
 #	undef HAVE_NETINET_IN_H
+#	undef HAVE_NETINET_TCP_H
 #	undef HAVE_NETLIB_H
 #	undef HAVE_NOMACROS_H		/* ncurses 4.1 */
 #	undef HAVE_PATHS_H
@@ -233,7 +241,6 @@
  * function is found in a library.
  */
 #	undef HAVE_ALARM
-#	undef HAVE_ATOI
 #	undef HAVE_ATOL
 #	undef HAVE_ATOLL
 #	undef HAVE_ATOQ
@@ -255,6 +262,7 @@
 #	undef HAVE_GETHOSTNAME
 #	undef HAVE_GETPEERNAME
 #	undef HAVE_GETSERVBYNAME
+#	undef HAVE_GETSOCKOPT
 #	undef HAVE_GETTIMEOFDAY
 #	undef HAVE_GETWD
 #	undef HAVE_GET_WCH
@@ -268,6 +276,7 @@
 #	undef HAVE_IS_XTERM
 #	undef HAVE_LINK
 #	undef HAVE_LOCKF
+#	undef HAVE_LSTAT
 #	undef HAVE_MEMCMP
 #	undef HAVE_MEMCPY
 #	undef HAVE_MEMMOVE
@@ -276,15 +285,19 @@
 #	undef HAVE_MKFIFO
 #	undef HAVE_MKSTEMP
 #	undef HAVE_MKTEMP
+#	undef HAVE_MKTIME
 #	undef HAVE_MUNMAP
 #	undef HAVE_NL_LANGINFO
 #	undef HAVE_POLL
+#	undef HAVE_POSIX_CLOSE
 #	undef HAVE_PUTENV
+#	undef HAVE_REALPATH
 #	undef HAVE_RESIZETERM
 #	undef HAVE_REWINDDIR
 #	undef HAVE_SELECT
 #	undef HAVE_SETENV
 #	undef HAVE_SETLOCALE
+#	undef HAVE_SETSOCKOPT
 #	undef HAVE_SETTZ
 #	undef HAVE_SETVBUF
 #	undef HAVE_SNPRINTF
@@ -294,6 +307,7 @@
 #	undef HAVE_STRDUP
 #	undef HAVE_STRERROR
 #	undef HAVE_STRFTIME
+#	undef HAVE_STRPTIME
 #	undef HAVE_STRNCASECMP
 #	undef HAVE_STRPBRK
 #	undef HAVE_STRRCHR
@@ -341,7 +355,6 @@
  * warnings, etc., for development/testing).
  */
 #	undef DECL_ALARM
-#	undef DECL_ATOI
 #	undef DECL_ATOL
 #	undef DECL_ATOLL
 #	undef DECL_ATOQ
@@ -395,6 +408,7 @@
 #	undef DECL_STRCASECMP
 #	undef DECL_STRCHR
 #	undef DECL_STRFTIME
+#	undef DECL_STRPTIME
 #	undef DECL_STRNCASECMP
 #	undef DECL_STRRCHR
 #	undef DECL_STRTOL
@@ -595,11 +609,6 @@
 #	undef USE_SYSTEM_STATUS
 
 /*
- * allow fallback to XHDR XREF if XOVER isn't supported?
- */
-#	undef XHDR_XREF
-
-/*
  * The directory, where tin looks first for its tin.defaults file
  * can be left empty, tin searches for some standard places
  * XXXXX please define surrounded with double quotes! XXXXX
@@ -623,13 +632,6 @@
 #	undef GETTIMEOFDAY_2ARGS
 
 /*
- * define if your NNTP server needs an extra GROUP command before
- * accepting a LISTGROUP command.
- * (old versions of leafnode and NNTPcache need this)
- */
-#	undef BROKEN_LISTGROUP
-
-/*
  * on some old systems the WIFEXITED()/WEXITSTATUS() macros do not work,
  * e.g. SEIUX3.2, DG/UX5.4R3, NEXTSTEP3, ULTRIX4.5
  * TODO: write configure check
@@ -832,12 +834,6 @@
  */
 #	undef HAVE_TYPE_FD_SET
 
-/*
- * define if newsserver can't handle pipelined (streamed) commands
- * TODO: write configure option
- */
-#	undef DISABLE_PIPELINING
-
 /* Define to 1 if we can/should compile with the PCRE2 library */
 #	undef HAVE_LIB_PCRE2
 
@@ -892,8 +888,8 @@
 #	undef HAVE_SYS_TIUSER_H
 
 /*
- * use arc4random_uniform() if found, otherwiese
- * use lanrand48/srand() if found, otherwiese
+ * use arc4random_uniform() if found, otherwise
+ * use lanrand48/srand() if found, otherwise
  * use random()/srandom() if found, otherwise use rand()/srand()
  */
 #	undef HAVE_ARC4RANDOM_UNIFORM
@@ -907,6 +903,11 @@
 #	undef HAVE_LIBURIPARSER
 
 /*
+ * otherwise use libcurl to validate URIs
+ */
+#	undef HAVE_LIBCURL
+
+/*
  * do we have curses_version()?
  */
 #	undef HAVE_CURSES_VERSION
diff -Nurp '--exclude=.bzr*' tin-2.6.4/include/bool.h tin-2.6.5/include/bool.h
--- tin-2.6.4/include/bool.h	2024-11-25 20:44:39.000000000 +0100
+++ tin-2.6.5/include/bool.h	2025-11-13 02:24:12.863173277 +0100
@@ -6,7 +6,7 @@
  *  Updated   : 2013-01-09
  *  Notes     :
  *
- * Copyright (c) 1997-2025 Urs Janssen <urs@tin.org>
+ * Copyright (c) 1997-2026 Urs Janssen <urs@tin.org>
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff -Nurp '--exclude=.bzr*' tin-2.6.4/include/bugrep.h tin-2.6.5/include/bugrep.h
--- tin-2.6.4/include/bugrep.h	2024-11-25 20:44:39.000000000 +0100
+++ tin-2.6.5/include/bugrep.h	2025-11-13 02:24:12.871173625 +0100
@@ -6,7 +6,7 @@
  *  Updated   : 2019-02-18
  *  Notes     :
  *
- * Copyright (c) 1997-2025 Urs Janssen <urs@tin.org>
+ * Copyright (c) 1997-2026 Urs Janssen <urs@tin.org>
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
diff -Nurp '--exclude=.bzr*' tin-2.6.4/include/debug.h tin-2.6.5/include/debug.h
--- tin-2.6.4/include/debug.h	2024-11-25 20:44:39.000000000 +0100
+++ tin-2.6.5/include/debug.h	2025-11-13 02:24:12.875173799 +0100
@@ -6,7 +6,7 @@
  *  Updated   : 2024-11-14
  *  Notes     :
  *
- * Copyright (c) 2007-2025 Urs Janssen <urs@tin.org>
+ * Copyright (c) 2007-2026 Urs Janssen <urs@tin.org>
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
@@ -42,7 +42,7 @@
 #	define DEBUG_H 1
 
 #	define DEBUG_NNTP	0x01	/*   1, "NNTP", "NNTPS" */
-#	define DEBUG_FILTER	0x02	/*   2, "FILTER", "ARTS"  */
+#	define DEBUG_FILTER	0x02	/*   2, "FILTER", "ARTS" */
 #	define DEBUG_NEWSRC	0x04	/*   4, "NEWSRC", "BITMAP" */
 #	define DEBUG_REFS	0x08	/*   8, "THREADING", "REFS" */
 #	define DEBUG_MEM	0x10	/*  16, "MEMORY", "MALLOC" */
